Bug 110550 - NFS and HTTP installs fail before package selection
NFS and HTTP installs fail before package selection
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
s390x Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 20:15 EST by Need Real Name
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-21 16:23:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-11-20 20:15:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Install fails the same way wether it be NFS or HTTP.  

All questions answered, including root password. 
Awaiting package selection options, python errors:

 Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1081, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 471, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 157, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 225, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 160, in readPackages
    grpset = method.readComps(hdrlist)
  File "/usr/lib/anaconda/installmethod.py", line 64, in readComps
    return self.readCompsViaMethod(hdlist)
  File "/usr/lib/anaconda/image.py", line 42, in readCompsViaMethod
    return groupSetFromCompsFile(fname, hdlist)
  File "/usr/lib/anaconda/hdrlist.py", line 900, in groupSetFromCompsFile
    for pnevra in (grpset.groups["base"].packages.keys() +
KeyError: base

> /usr/lib/anaconda/hdrlist.py(900)groupSetFromCompsFile()
-> for pnevra in (grpset.groups["base"].packages.keys() +
(Pdb)



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot kernel
2. access the VM via network. 
3.  answer all options up to package selection
4. abend
    

Actual Results:  Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1081, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 471, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 157, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 225, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 160, in readPackages
    grpset = method.readComps(hdrlist)
  File "/usr/lib/anaconda/installmethod.py", line 64, in readComps
    return self.readCompsViaMethod(hdlist)
  File "/usr/lib/anaconda/image.py", line 42, in readCompsViaMethod
    return groupSetFromCompsFile(fname, hdlist)
  File "/usr/lib/anaconda/hdrlist.py", line 900, in groupSetFromCompsFile
    for pnevra in (grpset.groups["base"].packages.keys() +
KeyError: base

> /usr/lib/anaconda/hdrlist.py(900)groupSetFromCompsFile()
-> for pnevra in (grpset.groups["base"].packages.keys() +
(Pdb)



Expected Results:  package selection menu

Additional info:
Comment 1 E Wilson 2003-11-21 09:21:45 EST
The comps.xml from the "extras" CD over-writes the comps.xml file from
disc 1.

Doco may need to be updated.
Comment 2 Jeremy Katz 2003-11-21 16:23:47 EST
The documentation only says to copy the installation CDs and never
refers to the extras CD at all.

I'll try to get the README clarified somewhat, though.

Note You need to log in before you can comment on or make changes to this bug.